<?php
$today = date("Y-m-d");

$min = date_min();
$mins = explode(" ", $min['min']);
$date_min = $mins[0];

$max = date_max();
$maxs = explode(" ", $max['max']);
$date_max = $maxs[0];
?>
<div class="row">
	<div class="col-6 col-md-6 offset-md-3 offset-3">
	<br/>
		<h1 style="margin-bottom:20px; margin-top:60px; border-bottom:1px solid #CCC; padding-bottom:20px;"><i class="fa fa-search"></i> Recherche</h1>
		<form action="recherche.php" method="post">
			<table class="table table-striped table-bordered">
				<tbody>
					<tr>
						<td><label for="names">Nom du capteur : </label></td>
						<td>
							<div class="form-group my-1 mr-sm-2">
							     <select class="custom-select my-1 mr-sm-2" id="names" name="nom">
							     	     <option></option>
							     	     <?php
								     $names = get(nom);
								     foreach($names as $name)
								     { ?>
								       <option><?php echo $name['nom'];?></option>
								     <?php }?>
							     </select>
							</div>
						</td>
					</tr>

					<tr>
						<td><label for="types">Type de capteur : </label></td>
						<td>
							<div class="my-1 mr-sm-2">
							     <select class="custom-select my-1 mr-sm-2" id="types" name="type">
							     	     <option></option>
							     	     <?php
								     $types = get(type);
								     foreach($types as $type)
								     { ?>
								       <option><?php echo $type['type'];?></option>
								     <?php }?>
							     </select>
							</div>
						</td>
					</tr>

					<tr>
						<td><label for="raspberrys">Raspberry Pi : </label></td>
						<td>
							<div class="my-1 mr-sm-2">
							     <select class="custom-select my-1 mr-sm-2" id="raspberrys" name="raspberry">
							     	     <option></option>
							     	     <?php
								     $raspberrys = get(raspberry);
								     foreach($raspberrys as $raspberry)
								     { ?>
								       <option><?php echo $raspberry['raspberry'];?></option>
								     <?php }?>
							     </select>
							</div>
						</td>
					</tr>
					
					<tr>
						<td><label for="start">Date de début :</label></td>
						<td><input type="date" id="start" name="start-date" min="<?php echo $date_min; ?>" max="<?php echo $date_max; ?>" /></td>
					</tr>
					<tr>
						<td><label for="end">Date de fin :</label></td>
						<td><input type="date" id="end" name="end-date" min="<?php echo $date_min; ?>" max="<?php echo $date_max; ?>" /></td>
					</tr>

					<tr>
						<td><label for"nombre">Nombre de résultats (entre 1 et 100) :</label></td>
						<td><input type="text" id="nombre" name="nombre" min="1" max="100" value="10" /></td>
					</tr>
				</tbody>
			</table>
			<input type="submit" class="btn btn-dark btn-lg btn-block" style="margin-top:20px; margin-bottom:20px;" value="Lancer la recherche"/>
		</form>
	</div>
</div>
